html {
    font-size: 16px;
	color: #eee;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
	
	background: #131429;
    background-position: center;
    background-repeat: repeat;	
}

body a {
    color: #eee;
	text-decoration: underline;	
}

body a:hover {
	color: #eee;
    text-decoration: none;
}

audio {
    margin-bottom: 10px;
}

h1 {
    font-size: 2.0rem;
	color: #aaa;
}

h2 {
    font-size: 1.8rem;
	color: #aaa;
}

h3 {
    font-size: 1.6rem;
	color: #aaa;
}

h4 {
    font-size: 1.4rem;
	color: #aaa;
}

p {
    font-size: 1rem;
	color: #eee;
}
small {
    font-size: 0.875rem;
	color: #eee;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 125px;

    background: #000000ff;
    display: flex;
    align-items: center;

    box-sizing: border-box;

    background-image: url('images/header.jpg');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
	
    z-index: 1000;
	opacity: 1;
	transition: opacity 0.5s ease;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
}

header.hide {
	opacity: 0;
	transition: opacity 0.5s ease;
}


.logo-wrapper {
    position: absolute;
    top: 45px;
	left: calc(40px + (94vw - 1200px) * 0.2);
	
}

.header-logo {
	opacity: 1;
	transition: opacity 0.5s ease;
    height: 300px;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
	/*background: #ff00ffff;*/
}

.header-logo.hide {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;
}

.header-text {
	text-transform: uppercase;
    font-size: 32px;
    font-weight: 900;
	text-decoration: none;	
	text-align: center;
	color: #eee;
	
    margin: 100px auto;
    max-width: 800px;	
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
}

.menu {
    display: flex;
    gap: 25px;
    flex-wrap: wrap;
	font-weight: bold;
}


.menu a {
	text-transform: uppercase;
    color: #eee;
    background-color: #111;
    padding: 12px 16px;
    border-radius: 8px;
    margin-left: 10px;
    text-decoration: none;
    font-size: 24px;
	
    display: inline-block;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.menu a:hover {
    background-color: #c40000;
    color: #eee;
}

.hero {
	margin-top: 125px;
    width: 100%;
    aspect-ratio: 16 / 9;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
	/*filter: blur(10px);*/
	transition: filter 1.0s ease;	
}

.hero.loaded {
  filter: none;
}

section {
    position: relative;
    padding: 50px 30px;
    margin: auto auto;
    max-width: 800px;
    text-align: left;
    color: #ddd;
    border-radius: 8px;
    font-weight: 900;
    text-shadow: 1px 2px 7px rgba(0,0,0,1);
}


section::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    height: 100%;
    z-index: -2;
}

.headline {
    padding: 1px 10px;
	margin: 20px auto;
    text-transform: uppercase;
    display: inline-block;
    width: 100%;
    border-radius: 8px;
	font-size: 1.8rem;
    font-weight: 900;
    text-shadow: 2px 3px 7px rgba(0,0,0,1);
    color: #ddd;
    z-index: 1;
    background: linear-gradient(
        to right,
        #4b4a5c 50%,
        rgba(0, 0, 0, 0) 100%
    );
}

.highlight {
    color: #f68936;
}

.soundtrack-name {
	font-size: 0.75rem;
    text-shadow: 2px 3px 7px rgba(0,0,0,1);
    color: #888;
}

.note {
	font-size: 0.6rem;
    text-shadow: 2px 3px 7px rgba(0,0,0,1);
    color: #888;
}

.screenshots-grid {
	padding: 0px 0px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(384px, 1fr));
    gap: 20px;
    justify-items: center;
}

.screenshots-grid img {
    width: 384px;
    height: 216px;
    object-fit: contain;
	border-radius: 8px;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));

	transform: scale(1.0);
	transition: transform 0.35s ease;
}

.screenshots-grid img:hover {
    transform: scale(1.05);
	transition: transform 0.35s ease;
}


.store-grid {
	padding: 20px 0px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(96px, 1fr));
    gap: 20px;
    justify-items: center;
}

.store-grid img {
    width: 96px;
    height: 96px;
    object-fit: contain;
    transition: transform 0.35s ease;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
}

.store-grid img:hover {
    transform: scale(1.1);
}


.footer-social {
    background: #4b4a5c;
    padding: 20px;
    display: flex;
    justify-content: center;
    gap: 50px;
}

.footer-social .icon {
    text-decoration: none;
    color: white;
    transition: transform 0.35s ease;
}

.footer-social .icon:hover {
    transform: scale(1.1);
}

.footer-social .icon img {
    width: 64px;
    height: 64px;
    object-fit: contain;
    display: block;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
}

.footer-legal {
    background: #878793;
	color: #ccc;
    padding: 70px;
    text-align: center;
	font-size: 14px;
}

.footer-legal a {
    color: #ccc;
    margin: 0 15px;
	text-decoration: underline;
}

.footer-legal a:hover {
    text-decoration: none;
}

.yt-video {
    position: relative;
    width: 100%;
    aspect-ratio: 16 / 9;
    background-color: #303030;
    cursor: default;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
	border-radius: 8px;
    overflow: hidden;
	filter: drop-shadow(0 5px 7px rgba(0,0,0,1));
}

.yt-video img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 1.0;
}

.yt-video .play-btn {
    position: absolute;
	cursor: pointer;
    z-index: 2;
	transform: scale(1.25);
    transition: transform 0.2s ease-in-out;
}

.yt-video .play-btn:hover {

}

.yt-video .play-btn svg path:first-child {
    fill: rgba(0, 0, 0, 0.5);
    transition: fill 0.25s ease;
}

.yt-video .play-btn:hover svg path:first-child {
    fill: #f00;
}


.yt-video .privacy-text {
    position: absolute;
	cursor: default;
    bottom: 0;
    width: 100%;
    background: rgba(0,0,0,0.85);
    padding: 15px 10px;
    text-align: center;
    z-index: 3;
    color: #eee;
    font-size: 14px;
	font-weight: bold;
    line-height: 1.4;
}

.yt-video .privacy-text a {
    cursor: pointer;
}


